import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["color"] = "property-color";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.property && typeof state.property.color !== 'undefined') {
        return { color: state.property.color, type: Type };
    }
    return { color: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function colorConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=color.js.map