import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["excel"] = "data-excel";
    Type["columns"] = "data-excel-columns";
    Type["rows"] = "data-excel-rows";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.data && typeof state.data.excel !== 'undefined') {
        return { excel: state.data.excel, type: Type };
    }
    return { excel: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function excelConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=excel.js.map