import * as React from 'react';
declare enum Type {
    img = "property-img"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    img: string;
    type: typeof Type;
} | {
    img: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type IImgProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function imgConnector<T>(ComponentCls: React.ComponentClass<IImgProps & T>): React.ComponentClass<T, any>;
export {};
