import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["img"] = "property-img";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.property && typeof state.property.img !== 'undefined') {
        return { img: state.property.img, type: Type };
    }
    return { img: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function imgConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=img.js.map