import * as React from 'react';
declare enum Type {
    speed = "property-list-speed",
    isScroll = "property-list-isScroll",
    borderWidth = "property-list-border-borderWidth",
    borderColor = "property-list-border-borderColor",
    borderStyle = "property-list-border-borderStyle",
    headerShow = "property-list-header-show",
    headerHeight = "property-list-header-style-height",
    headerBGC = "property-list-header-style-backgroundColor",
    headerBGI = "property-list-header-style-backgroundImage",
    headerFontColor = "property-list-header-cellStyle-color",
    headerCellBorder = "property-list-header-cellStyle-border",
    bodyRowSpacing = "property-list-body-row-spacing",
    bodyRowCheckBox = "property-list-body-row-rowCheckBox",
    bodyRowHeight = "property-list-body-row-style-height",
    bodyRowBGC = "property-list-body-row-style-backgroundColor",
    bodyRowBGI = "property-list-body-row-style-backgroundImage",
    bodyVisualShow = "property-list-body-row-visual-show",
    bodyVisualInterval = "property-list-body-row-visual-interval",
    bodyVisualBGC = "property-list-body-row-visual-style-backgroundColor",
    bodyVisualBGI = "property-list-body-row-visual-style-backgroundImage",
    bodySilentShow = "property-list-body-row-silent-show",
    bodySilentBGC = "property-list-body-row-silent-style-backgroundColor",
    bodySilentBGI = "property-list-body-row-silent-style-backgroundColor",
    bodyFontSize = "property-list-body-cell-style-fontSize",
    bodyCellMinWidth = "property-list-body-cell-style-minWidth",
    bodyFontColor = "property-list-body-cell-style-color",
    bodyBorder = "property-list-body-cell-style-border",
    columnWidth = "property-list-body-cell-style-width",
    iconWidth = "property-list-body-cell-iconStyle-width",
    iconHeight = "property-list-body-cell-iconStyle-height"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    list: IDeepReadonlyObject<IList>;
    type: typeof Type;
} | {
    list: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type IListProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function listConnector<T>(ComponentCls: React.ComponentClass<IListProps & T>): React.ComponentClass<T, any>;
export {};
