import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["speed"] = "property-list-speed";
    Type["isScroll"] = "property-list-isScroll";
    Type["borderWidth"] = "property-list-border-borderWidth";
    Type["borderColor"] = "property-list-border-borderColor";
    Type["borderStyle"] = "property-list-border-borderStyle";
    Type["headerShow"] = "property-list-header-show";
    Type["headerHeight"] = "property-list-header-style-height";
    Type["headerBGC"] = "property-list-header-style-backgroundColor";
    Type["headerBGI"] = "property-list-header-style-backgroundImage";
    Type["headerFontColor"] = "property-list-header-cellStyle-color";
    Type["headerCellBorder"] = "property-list-header-cellStyle-border";
    Type["bodyRowSpacing"] = "property-list-body-row-spacing";
    Type["bodyRowCheckBox"] = "property-list-body-row-rowCheckBox";
    Type["bodyRowHeight"] = "property-list-body-row-style-height";
    Type["bodyRowBGC"] = "property-list-body-row-style-backgroundColor";
    Type["bodyRowBGI"] = "property-list-body-row-style-backgroundImage";
    Type["bodyVisualShow"] = "property-list-body-row-visual-show";
    Type["bodyVisualInterval"] = "property-list-body-row-visual-interval";
    Type["bodyVisualBGC"] = "property-list-body-row-visual-style-backgroundColor";
    Type["bodyVisualBGI"] = "property-list-body-row-visual-style-backgroundImage";
    Type["bodySilentShow"] = "property-list-body-row-silent-show";
    Type["bodySilentBGC"] = "property-list-body-row-silent-style-backgroundColor";
    Type["bodySilentBGI"] = "property-list-body-row-silent-style-backgroundColor";
    Type["bodyFontSize"] = "property-list-body-cell-style-fontSize";
    Type["bodyCellMinWidth"] = "property-list-body-cell-style-minWidth";
    Type["bodyFontColor"] = "property-list-body-cell-style-color";
    Type["bodyBorder"] = "property-list-body-cell-style-border";
    Type["columnWidth"] = "property-list-body-cell-style-width";
    Type["iconWidth"] = "property-list-body-cell-iconStyle-width";
    Type["iconHeight"] = "property-list-body-cell-iconStyle-height";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.property && typeof state.property.list !== 'undefined' && typeof state.data !== 'undefined') {
        return { list: state.property.list, type: Type };
    }
    return { list: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function listConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=list.js.map