import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["property"] = "property";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.property) {
        return { property: state.property, type: Type };
    }
    return { property: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function propertyConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=property.js.map