import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["video"] = "property-video";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.property && typeof state.property.video !== 'undefined') {
        return { video: state.property.video, type: Type };
    }
    return { video: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function videoConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=video.js.map