import { require } from 'requirejs-esmodule';
export function pullFeature(path, timeOut, callback) {
    let loaded = true;
    const time = setTimeout(() => {
        loaded = false;
        callback('tiemout');
    }, timeOut);
    require([path], (_param) => {
        if (loaded) {
            clearTimeout(time);
            let param;
            if (_param.default) {
                param = _param.default;
            }
            else {
                param = _param;
            }
            const optWidthPath = Object.assign({}, param.option, { path });
            callback(null, { component: param.component, reducer: param.reducer, option: optWidthPath });
        }
    });
}
//# sourceMappingURL=pullFeature.js.map