import * as React from 'react';
import { advanceReducer } from '../util/advanceReducer';
const boxState = {
    name: '容器组件',
    style: {}
};
export function rawBoxReducer(action, state = boxState) {
    const newState = Object.assign({}, state);
    switch (action.type) {
        case 'backgroundImage':
            newState.style = Object.assign({}, newState.style, { backgroundImage: action.data });
            return newState;
        default:
            return newState;
    }
}
export const boxReducer = advanceReducer(rawBoxReducer);
export function Box({ style, children, connect }) {
    return connect(React.createElement("div", { style: style }, children));
}
//# sourceMappingURL=box.js.map