import { featureConnector } from 'coreditor';
import * as React from 'react';
import { advanceReducer } from '../util/advanceReducer';
import { LoadingCom, loadingOption, loadingReducer } from './loadingCom';
export function DynamicFeature(props) {
    function PreivewComponent(previewProps) {
        return props.children(previewProps.connect);
    }
    const preview = { PreivewComponent, dragImg: new Image() };
    return React.createElement(featureConnector(loadingOption, preview, advanceReducer(loadingReducer))(LoadingCom), Object.assign({}, props));
}
//# sourceMappingURL=dynamicFeature.js.map