import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["api"] = "data-api";
    Type["data"] = "data-api-data";
    Type["form"] = "data-api-form";
    Type["url"] = "data-api-form-url";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.data && typeof state.data.api !== 'undefined') {
        return { api: state.data.api, type: Type };
    }
    return { api: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function apiConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=api.js.map