import * as React from 'react';
declare enum Type {
    color = "property-color"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    color: string | string[];
    type: typeof Type;
} | {
    color: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type IColorProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function colorConnector<T>(ComponentCls: React.ComponentClass<IColorProps & T>): React.ComponentClass<T, any>;
export {};
