import { controlConnector } from 'coreditor';
function mapStateToProps(state) {
    if (state.property && typeof state.property.custom !== 'undefined') {
        return { custom: state.property.custom };
    }
    return { custom: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type: `property-custom-${type}`,
        data
    })
};
export function customConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=custom.js.map