import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["data"] = "data";
    Type["type"] = "data-type";
    Type["json"] = "data-json";
    Type["excel"] = "data-excel";
    Type["database"] = "data-database";
    Type["api"] = "data-api";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.data) {
        return { data: state.data, type: Type };
    }
    return { data: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function dataConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=data.js.map