import * as React from 'react';
declare enum Type {
    excel = "data-excel",
    columns = "data-excel-columns",
    rows = "data-excel-rows"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    excel: IDeepReadonlyObject<{
        columns: {
            key: string;
            name: string;
        }[];
        rows: object[];
    }>;
    type: typeof Type;
} | {
    excel: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type IExcelProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function excelConnector<T>(ComponentCls: React.ComponentClass<IExcelProps & T>): React.ComponentClass<T, any>;
export {};
