import * as React from 'react';
declare enum Type {
    json = "data-json"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    json: any;
    type: typeof Type;
} | {
    json: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type IJsonProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function jsonConnector<T>(ComponentCls: React.ComponentClass<IJsonProps & T>): React.ComponentClass<T, any>;
export {};
