import { controlConnector } from 'coreditor';
var Type;
(function (Type) {
    Type["title"] = "property-title";
    Type["show"] = "property-title-show";
    Type["text"] = "property-title-text";
    Type["style"] = "property-title-style";
    Type["color"] = "property-title-style-color";
    Type["fontSize"] = "property-title-style-fontSize";
    Type["textAlign"] = "property-title-style-textAlign";
})(Type || (Type = {}));
function mapStateToProps(state) {
    if (state.property && typeof state.property.title !== 'undefined') {
        return { title: state.property.title, type: Type };
    }
    return { title: null };
}
const mapDispatchToProps = {
    update: (type, data) => ({
        type,
        data
    })
};
export function titleConnector(ComponentCls) {
    return controlConnector(mapStateToProps, mapDispatchToProps)(ComponentCls);
}
//# sourceMappingURL=title.js.map