import * as React from 'react';
declare enum Type {
    video = "property-video"
}
declare function mapStateToProps(state: IDeepReadonly<IState>): {
    video: string;
    type: typeof Type;
} | {
    video: null;
    type?: undefined;
};
declare const mapDispatchToProps: {
    update: (type: Type, data: any) => {
        type: Type;
        data: any;
    };
};
export declare type IVideoProps = Partial<typeof mapDispatchToProps & ReturnType<typeof mapStateToProps>>;
export declare function videoConnector<T>(ComponentCls: React.ComponentClass<IVideoProps & T>): React.ComponentClass<T, any>;
export {};
