/// <reference path="../interface/index.d.ts" />
export declare const config: {
    fontPath: string;
};
export declare function setConfig(_config: {
    requirejs: any;
    fontPath: string;
}): void;
export { controlConnector, Provider, featureConnector, inTraverse, preTraverse } from 'coreditor';
export { Canvas } from './components/canvas';
export { advanceReducer, IRawReducer, IAdvanceFeatureInfo as IFeatureInfo } from './util/advanceReducer';
export { pullFeature } from './util/pullFeature';
export { enpowerCanvasData } from './util/enpowerData';
export { appendFont } from './lib/appendFont';
export { LoadingCom, loadingOption, loadingReducer, loadingState } from './components/loadingCom';
export { DynamicFeature, IDynamicFeatureProps } from './components/dynamicFeature';
export * from './connector/style';
export * from './connector/canvaStyle';
export * from './connector/property';
export * from './connector/title';
export * from './connector/color';
export * from './connector/text';
export * from './connector/img';
export * from './connector/video';
export * from './connector/data';
export * from './connector/json';
export * from './connector/excel';
export * from './connector/api';
export * from './connector/list';
export * from './connector/custom';
