import { define, require } from 'requirejs-esmodule';
export const config = {
    fontPath: ''
};
export function setConfig(_config) {
    require.config(_config.requirejs);
    config.fontPath = _config.fontPath;
}
if (window.define) {
    console.log('define 已被定义');
}
else {
    window.define = define;
}
export { controlConnector, Provider, featureConnector, inTraverse, preTraverse } from 'coreditor';
export { Canvas } from './components/canvas';
export { advanceReducer } from './util/advanceReducer';
export { pullFeature } from './util/pullFeature';
export { enpowerCanvasData } from './util/enpowerData';
export { appendFont } from './lib/appendFont';
export { LoadingCom, loadingOption, loadingReducer, loadingState } from './components/loadingCom';
export { DynamicFeature } from './components/dynamicFeature';
export * from './connector/style';
export * from './connector/canvaStyle';
export * from './connector/property';
export * from './connector/title';
export * from './connector/color';
export * from './connector/text';
export * from './connector/img';
export * from './connector/video';
export * from './connector/data';
export * from './connector/json';
export * from './connector/excel';
export * from './connector/api';
export * from './connector/list';
export * from './connector/custom';
//# sourceMappingURL=index.js.map