import { Box, boxReducer } from '../components/box';
import { LoadingCom, loadingOption, loadingReducer } from '../components/loadingCom';
export function enpowerCanvasData(data) {
    enpowerRoot(data.root);
}
function enpowerRoot(root) {
    if (root.option.box) {
        root.reducer = boxReducer;
        root.component = Box;
    }
    else {
        root.props = {
            comPath: root.option.path,
            state: root.state
        };
        root.reducer = loadingReducer;
        root.component = LoadingCom;
        root.option = loadingOption;
    }
    for (let i = 0; i < root.children.length; i++) {
        enpowerRoot(root.children[i]);
    }
}
//# sourceMappingURL=enpowerData.js.map